## iptables 1.4.10

=== debian/changelog ===
iptables (1.4.10-1ubuntu1) natty; urgency=low

  [ Lorenzo De Liso ]
  * Merge from debian unstable (LP: #671652), remaining changes:
    - Don't fail to run iptables-save if iptables module isn't loaded.
    - Revert changes between 1.4.1.1-3 and 1.4.1.1-4, thus bringing back
      the howtos.
    - Added linuxdoc-tools to Build-Depends
    - Modified debian/iptables{,-dev}.install to match DM syntax
      (removed debian/tmp)
    - Added -fno-strict-aliasing -Werror switches to regular_CFLAGS
      for catching errors early
    - Removed unused TC_NUM_RULES() and TC_GET_RULE()
  * debian/patches/03-compilation-error.patch: updated
  * debian/patches/0600-makefile_jedi_handwaving.patch: updated
  * Dropped changes:
    - debian/patches/0902-docs-version-reference.diff: modifies files inside
      the debian/ directory and hence is not needed

  [ Jamie Strandboge ]
  * debian/patches/9000-howtos.patch:
    - combine 0102-howtos.patch and 0103-sgml_errors.patch into this patch
      and apply after the Debian patches for easier maintenance
    - add DEP-3 comments
  * debian/patches/9001-build-libipq_pic.la.patch:
    - Build libipq_pic.la with -fPIC
    - add DEP-3 comments
  * debian/iptables-dev.install: install lib/*.la in usr/lib
  * merge debian/patches/9002-xt_recent-reap.patch:
    - support for the xt_recent filter --reap switch (refreshed and updated)
    - add DEP-3 comments
  * debian/patches/9003-compilation-error.patch:
    - renamed 03-compilation-error.patch as 9003-compilation-error.patch
    - apply after Debian patches for easier maintenance
    - add DEP-3 comments
  * debian/iptables.doc-base.{nat|packet-filter}: update for 2.6
  * Dropped changes:
    - Replaced ipt_DSCP.h by xpt_DSCP.h in ipt_ECN.h and ipt_echn.h (applied
      upstream)
    - 9001-build-libipq_pic.a.patch (using la instead)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 12 Nov 2010 15:58:40 -0600

iptables (1.4.10-1) unstable; urgency=low

  * New upstream release

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 29 Oct 2010 12:29:39 -0400

iptables (1.4.9-1) unstable; urgency=low

  * New upstream release
  * remove extra iptables-xml.8. Reported by David Prevot. Thanks.
    Closes: #590619 

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 07 Aug 2010 18:24:17 -0400

iptables (1.4.4-2ubuntu3) maverick; urgency=low

  * Replaced ipt_DSCP.h by xpt_DSCP.h in ipt_ECN.h and ipt_echn.h (LP: #600195)
  * Added -fno-strict-aliasing -Werror switches to regular_CFLAGS for catching
    errors early
  * Removed unused TC_NUM_RULES() and TC_GET_RULE()

 -- Surbhi Palande <surbhi.palande@canonical.com>  Wed, 14 Jul 2010 12:30:38 +0300

iptables (1.4.4-2ubuntu2) lucid; urgency=low

  * Added support for the xt_recent filter --reap switch. This
    feature should appear in the 1.4.8 upstream release.

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 04 Mar 2010 07:16:17 -0700

iptables (1.4.4-2ubuntu1) lucid; urgency=low

  * Merge from debian unstable (LP: #473261), remaining changes:
    - Don't fail to run iptables-save if iptables module isn't loaded.
    - debian/patches/0901-build-libipq_pic.a.patch - Build libipq_pic.a with
      -fPIC. Upstream changed build system and patch modified accordingly.
    - Revert changes between 1.4.1.1-3 and 1.4.1.1-4, thus bringing back
      the howtos.
    - Added linuxdoc-tools to Build-Depends
    - Modified debian/iptables{,-dev}.install to match DM syntax
      (removed debian/tmp) 

 -- Nicolas Valcárcel Scerpella (Canonical) <nvalcarcel@canonical.com>  Tue, 03 Nov 2009 15:00:11 -0500

iptables (1.4.4-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #399211
    - Don't fail to run iptables-save if iptables module isn't loaded.
    - debian/patches/0901-build-libipq_pic.a.patch - Build libipq_pic.a with
      -fPIC. Upstream changed build system and patch modified accordingly.
    - Revert changes between 1.4.1.1-3 and 1.4.1.1-4, thus bringing back
      the howtos.
    - Added linuxdoc-tools to Build-Depends
    - Modified debian/iptables{,-dev}.install to match DM syntax
      (removed debian/tmp)

 -- Bhavani Shankar <right2bhavi@gmail.com>  Tue, 14 Jul 2009 15:59:54 +0530

iptables (1.4.3.2-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #372920), remaining changes:
    - Don't fail to run iptables-save if iptables module isn't loaded.
    - debian/patches/0901-build-libipq_pic.a.patch - Build libipq_pic.a with
      -fPIC. Upstream changed build system and patch modified accordingly.
    - Revert changes between 1.4.1.1-3 and 1.4.1.1-4, thus bringing back
      the howtos.
  * Droped unexistent patches from debian/patches/series
  * Droped 0903-autoload-module-in-iptables-save.diff, fixed upstream
  * Added linuxdoc-tools to Build-Depends
  * Modified debian/iptables{,-dev}.install to match DM syntax 
    (removed debian/tmp)

 -- Nicolas Valcárcel Scerpella <nvalcarcel@canonical.com>  Wed, 06 May 2009 16:35:21 -0500

iptables (1.4.1.1-4ubuntu3) jaunty; urgency=low

  * No-change rebuild to fix lpia shared library dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Mar 2009 01:06:26 +0000

iptables (1.4.1.1-4ubuntu2) jaunty; urgency=low

  * Don't fail to run iptables-save if iptables module isn't loaded.
    (I.e. automatically load them if they're not already) (LP: #338850)

 -- Soren Hansen <soren@ubuntu.com>  Mon, 16 Mar 2009 10:53:15 +0100

iptables (1.4.1.1-4ubuntu1) jaunty; urgency=low

  [ Iain Lane ]
  * Merge from debian unstable (LP: #294220), remaining changes:
    - debian/patches/0901-build-libipq_pic.a.patch - Build libipq_pic.a with
      -fPIC. Upstream changed build system and patch modified accordingly.

  [ Soren Hansen ]
  * Revert changes between 1.4.1.1-3 and 1.4.1.1-4, thus bringing back
    the howtos.

 -- Soren Hansen <soren@ubuntu.com>  Sat, 15 Nov 2008 01:27:37 +0100

iptables (1.4.0-4ubuntu2) intrepid; urgency=low



=== debian/control ===
Source: iptables
Section: net
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laurence J. Lane <ljlane@debian.org>
Build-Depends: debhelper (>>7.0), autoconf, automake, linuxdoc-tools, libtool (>=2.2.6), libnfnetlink-dev
Standards-Version: 3.8.3
Homepage: http://www.netfilter.org/


Package: iptables
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: administration tools for packet filtering and NAT
 These are the user-space administration tools for the Linux
 kernel's netfilter and iptables. netfilter and iptables provide
 a framework for stateful and stateless packet filtering, network
 and port address translation, and other IP packet manipulation.
 The framework is the successor to ipchains.
 .
 netfilter and iptables are used in applications such as Internet
 connection sharing, firewalls, IP accounting, transparent proxying,
 advanced routing and traffic control.

Package: iptables-dev
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, iptables (=${binary:Version})
Conflicts: iptables (<<1.4.2-2)
Section: devel
Description: iptables development files
 iptables is used to setup, maintain, and inspect the tables of
 packet filter rules in the Linux kernel. This package contains
 the available library (libipq, libiptc, libxtables), header,
 documentation and related files for iptables development.

## iptables 1.4.12

=== debian/changelog ===
iptables (1.4.12-1ubuntu5) precise; urgency=low

  * Add debian/patches/0002-libxt_RATEEST-link-with-lm.patch and
     debian/patches/0003-libxt_statistic-link-with-lm.patch to fix broken
     RATEEST and statistic modules. (LP: #982961)
  * libxt_string: fix space around arguments. (LP: #1074923) 

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Thu, 28 Feb 2013 13:41:27 -0600

iptables (1.4.12-1ubuntu4) precise; urgency=low

  * Update to use reap patch which was accepted upstream in slightly different form.

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 09 Dec 2011 14:02:08 -0700

iptables (1.4.12-1ubuntu3) precise; urgency=low

  * Restore support for --reap, patch submitted to upstream.
    -LP: #887332

  * Fix FTBS against linux 3.2 headers by copying linux/types.h to
    local include directory. This package unfortunately has a
    number of local kernel headers that are getting out of date.

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 30 Nov 2011 09:03:14 -0700

iptables (1.4.12-1ubuntu2) precise; urgency=low

  * Stop shipping .la files again.  Apparently this was a mistaken merge,
    and was intending to ship libipq_pic.la when it should have been
    libipq_pic.a; but we haven't been shipping the latter since natty,
    perlipq and nepenthes apparently both build fine anyway, and including a
    .la file with incorrect paths in dependency_libs actively breaks the
    collectd build.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Nov 2011 22:11:48 +0000

iptables (1.4.12-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable (LP: #887192). Remaining changes:
    - 9000-howtos.patch: add howtos/ and install them
    - 9001-build-libipq_pic.la.patch: Build libipq_pic.la with -fPIC
    - debian/control: Build-Depends on linuxdoc-tools
    - debian/iptables.install: install NAT and packetfilter howtos into
      /usr/share/doc
    - debian/iptables-dev.install: install netfilter howto into /usr/share/doc
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter: add
      howtos
    - debian/iptables-dev.install: install lib/*.la in usr/lib
    - No longer apply the following:
      + 9002-xt_recent-reap.patch: this requires a rewrite of the patch. For
        now adjust series to not apply, file a bug, assigning to the kernel
        team. Once they have resubmitted upstream, we can take the new patch.
      + 9003-compilation-error.patch: no longer needed with newer iptables

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 07 Nov 2011 13:46:11 -0600

iptables (1.4.12-1) unstable; urgency=low

  * New upstream release
    + fixes state inversion bug reported by gpe92 Closes: #634769
    + fixes ctorigdstport port number bug reported by Jim Barber.
      Closes: #632804

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 28 Jul 2011 17:17:14 -0400

iptables (1.4.11.1-3) unstable; urgency=low

  * Fixes fragmention inversion reported by Mark Wooding and
    fixed upstream by Jan Englehardt. Thanks. Closes: #632695

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 05 Jul 2011 09:59:28 -0400

iptables (1.4.11.1-2) unstable; urgency=low

  * Bugs reported by Markus Waldeck and fixed upstream by Jan Englehardt.
    Thanks.
    + missing target and match manpage extensions
    + LOG target option parsing

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 21 Jun 2011 14:42:05 -0400

iptables (1.4.11.1-1) unstable; urgency=low

  * New upstream release
  * Upstream fixes by Jan Engelhardt. Thanks.
    + localtz option of time match reported by Damyan Ivanov.
      Closes: #615121
    + segmentation faults on empty source address reported by
      Jussi Judin. Closes: #611990
    + ipv6 TPROXY support requested by martin f krafft.
      Closes: # 529954
    + "can't set policy error" reported by Rob Leslie.
      Closes: #598315
    + formatting issues reported by jdanni. Closes: #429579

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 12 Jun 2011 12:33:47 -0400

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: important
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Laurence J. Lane <ljlane@debian.org>
-Build-Depends: debhelper (>>7.0), autoconf, automake, linuxdoc-tools, libtool (>=2.2.6), libnfnetlink-dev
+Build-Depends: debhelper (>> 7.0.50), autoconf, automake, libtool (>=2.2.6), libnfnetlink-dev, linuxdoc-tools
 Standards-Version: 3.8.3
 Homepage: http://www.netfilter.org/
 
-
 Package: iptables
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: administration tools for packet filtering and NAT
  These are the user-space administration tools for the Linux
  kernel's netfilter and iptables. netfilter and iptables provide
@@ -25,7 +24,7 @@
 Package: iptables-dev
 Architecture: any
 Priority: optional
-Depends: ${shlibs:Depends}, ${misc:Depends}, iptables (=${binary:Version})
+Depends: ${misc:Depends}, iptables (=${binary:Version})
 Conflicts: iptables (<<1.4.2-2)
 Section: devel
 Description: iptables development files

=== debian/rules ===
#!/usr/bin/make -f

#_dhopts := --with autotools_dev
_shlibdeps := -a -Xlib/xtables
_configure := --with-xtlibdir=/lib/xtables \
	--enable-libipq --enable-devel --libdir=/lib

%:
	dh $@ $(_dhopts)

binary: binary-arch binary-indep
binary-arch binary-indep: install

override_dh_shlibdeps:
	dh_shlibdeps $(_shlibdeps)

ifneq ($(USE_BUILD_DIR),TRUE)
include debian/builddir.mk
else

override_dh_auto_configure:
	autoreconf -fi
	dh_auto_configure -- $(_configure)

override_dh_auto_test:

endif

## iptables 1.4.12-1maemo1

=== howtos/Makefile ===
all:
	for i in *.sgml; do sgml2html $$i; done

install:
	for i in *.html; do install -D -m 0644 $$i ${DESTDIR}/howtos/$$i; done

clean:
	-rm *.html

.PHONY: all clean install

=== debian/changelog ===
iptables (1.4.12-1maemo1) fremantle; urgency=low

  * Backport package from Ubuntu 12.04 version to Maemo 5

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 04 Jun 2012 00:28:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: iptables
 Section: net
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Pali Rohár <pali.rohar@gmail.com>
 XSBC-Original-Maintainer: Laurence J. Lane <ljlane@debian.org>
-Build-Depends: debhelper (>> 7.0.50), autoconf, automake, libtool (>=2.2.6), libnfnetlink-dev, linuxdoc-tools
+#Build-Depends: debhelper (>> 7.0.50), autoconf, automake, libtool (>=2.2.6), libnfnetlink-dev, linuxdoc-tools
+Build-Depends: debhelper, autoconf, automake, libtool, linuxdoc-tools
 Standards-Version: 3.8.3
 Homepage: http://www.netfilter.org/

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,12 @@
 override_dh_shlibdeps:
 	dh_shlibdeps $(_shlibdeps)
 
+override_dh_auto_build:
+	cp libtool.new libtool
+	cp libtool.new debian/build/libtool
+	chmod +x libtool debian/build/libtool
+	dh_auto_build
+
 ifneq ($(USE_BUILD_DIR),TRUE)
 include debian/builddir.mk
 else

## iptables 1.4.12-1maemo2

=== debian/changelog ===
iptables (1.4.12-1maemo2) fremantle; urgency=low

  * Added symlinks:
    /sbin/iptables
    /sbin/iptables-apply
    /sbin/iptables-restore
    /sbin/iptables-save
    /sbin/ip6tables
    /sbin/ip6tables-apply
    /sbin/ip6tables-restore
    /sbin/ip6tables-save

 -- Pali Rohár <pali.rohar@gmail.com>  Wed, 12 Sep 2012 14:53:30 +0200

## iptables 1.4.12.2

=== debian/changelog ===
iptables (1.4.12.2-1) unstable; urgency=low

  * New upstream release

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 05 Jan 2012 16:30:12 -0500

iptables (1.4.12.1-1) unstable; urgency=low

  * New upstream release
  * Depend on debhelper 9. Allows hardened build flags. Reported by
    Moritz Muehlenhoff. Thanks. Closes: #653737

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 31 Dec 2011 14:04:51 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: iptables
 Section: net
 Priority: important
-Maintainer: Pali Rohár <pali.rohar@gmail.com>
-XSBC-Original-Maintainer: Laurence J. Lane <ljlane@debian.org>
-#Build-Depends: debhelper (>> 7.0.50), autoconf, automake, libtool (>=2.2.6), libnfnetlink-dev, linuxdoc-tools
-Build-Depends: debhelper, autoconf, automake, libtool, linuxdoc-tools
-Standards-Version: 3.8.3
+Maintainer: Laurence J. Lane <ljlane@debian.org>
+Build-Depends: debhelper (>> 8.9.4), autoconf, automake, libtool (>=2.2.6), libnfnetlink-dev
+Standards-Version: 3.9.2
 Homepage: http://www.netfilter.org/
 
 Package: iptables

## iptables 1.4.14

=== debian/changelog ===
iptables (1.4.14-3.1) wheezy; urgency=low

  [ Jonathan Nieder ]
  * Non-maintainer upload.
  * Add Breaks against iproute and xtables-addons-common versions
    that relied on libxtables4. Closes: #691180

  [ Julien Cristau ]
  * Have iptables provide libxtables7, and tell dh_makeshlibs to include that
    in generated dependencies.

 -- Julien Cristau <jcristau@debian.org>  Fri, 01 Mar 2013 14:50:39 +0100

iptables (1.4.14-3) unstable; urgency=low

  * Fixes iptables comment output error reported by Christoph Anton
    Mitterer. Fixed upstream by Pablo Neira Ayuso. Thanks. 
    Closes: #679098

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 28 Jul 2012 11:58:38 -0400

iptables (1.4.14-2) unstable; urgency=low

  * Added missing 1.4.13-1.1 NMU fix 

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 11 Jun 2012 17:39:35 -0400

iptables (1.4.14-1) unstable; urgency=low

  * New upstream release

 -- Laurence J. Lane <ljlanedd@debian.org>  Mon, 11 Jun 2012 17:31:41 -0400

iptables (1.4.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add build-arch and build-indep targets to BUILD_DIR_TARGETS (closes:
    #666335). Thanks to Lucas Nussbaum for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 22 Apr 2012 15:50:33 +0200

iptables (1.4.13-1) unstable; urgency=low

  * New upstream release

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 27 Mar 2012 09:35:10 -0400

iptables (1.4.12.2-3) unstable; urgency=low

  * Added CPPFLAGS for extensions to enable hardening. Report and 
    patch by Simon Ruderich. Thanks. Closes: #665286 

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 22 Mar 2012 18:54:37 -0400

iptables (1.4.12.2-2) unstable; urgency=low

  * Added iptables-xml.1. Resolves issues reported by Thilo Six and
    Helge Kreutzmann. Thanks. Closes: #623112

  * include/linux/types.h refresh adds __aligned_u64. Gleaned from a post
    by Autif Khan. Fixes FTBFS reported by Moritz Muehlenhoff. Thanks.
    Closes: #664066  

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 15 Mar 2012 14:03:31 -0400

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
 Package: iptables
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: libxtables7
+Breaks: iproute (<< 20120521-3), xtables-addons-common (<< 1.42-2)
 Description: administration tools for packet filtering and NAT
  These are the user-space administration tools for the Linux
  kernel's netfilter and iptables. netfilter and iptables provide

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export V=1
 
 #_dhopts := --with autotools_dev
 _shlibdeps := -a -Xlib/xtables
@@ -11,14 +13,11 @@
 binary: binary-arch binary-indep
 binary-arch binary-indep: install
 
+override_dh_makeshlibs:
+	dh_makeshlibs -V'iptables, libxtables7'
+
 override_dh_shlibdeps:
 	dh_shlibdeps $(_shlibdeps)
-
-override_dh_auto_build:
-	cp libtool.new libtool
-	cp libtool.new debian/build/libtool
-	chmod +x libtool debian/build/libtool
-	dh_auto_build
 
 ifneq ($(USE_BUILD_DIR),TRUE)
 include debian/builddir.mk

## iptables 1.4.18

=== debian/changelog ===
iptables (1.4.18-1.1ubuntu1) saucy; urgency=low

  * Merge changes from Debian, version 1.4.18-1.1 to fix FTBFS
    in package perlipq due to missing dependecy: (LP: #1228525)
    - debian/control
    - debian/iptables-dev.install
  * Fix unresolved @PACKAGE_VERSION@ in manpage. Cherry-pick from
    Debian, version 1.4.20-2: (LP: #1134554)
    - debian/iptables.install
    - debian/iptables.manpages
    - debian/nfnl_osf.8
    - 0201-iptables-xml_man_section.patch
  * Fix incorrectly calling setsockopt, cherry-pick: (LP: #1187177)
    - debian/patches/calling-setsockopt-incorrectly.patch

 -- Artur Rona <ari-tczew@tlen.pl>  Fri, 20 Sep 2013 00:26:08 +0200

iptables (1.4.18-1.1) unstable; urgency=low

  [ gregor herrmann ]
  * Fix "libipq.h includes non-existing linux/netfilter_ipv4/ip_queue.h":
    ship /usr/include/linux/netfilter_ipv4/ip_queue.h in iptables-dev;
    add Breaks on linux-libc-dev << 3.5
    (Closes: #707535)

  [ Dominic Hargreaves ]
  * Non-maintainer upload

 -- Dominic Hargreaves <dom@earth.li>  Sat, 13 Jul 2013 16:09:01 +0100

iptables (1.4.18-1ubuntu1) saucy; urgency=low

  [ Chris J Arges ]
  * Merge from Debian unstable (LP: #1191004).  Remaining changes:
    - debian/control: add linuxdoc-tools dep, remove libipq references
    - debian/rules: compile with --disable-libipq
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables.install: install NAT and packetfilter howtos into
      /usr/share/doc
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos
    - debian/iptables-dev.install: remove usr/share/man/man3 only used with
      libipq manpages
  * Dropped changes:
    - debian/iptables.lintian-overrides: remove unuseful lintian override
      delta
    - 9001-build-libipq_pic.la.patch: remove patch that hasn't been applied
      since 12.04.
    - 9001-Fixed-FTBS-by-copying-linux-types.h-from-linux-3.2.patch:
      changes are upstream.
    - 9003-lp1020490.patch: changes are upstream.
    - 9004-argv-is-null.patch: changes are upstream.
    - 9005-lp1027252-fixrestore.patch: changes are upstream.
    - 9006-lp1042260-fix-inverted-physdev.patch: changes are upstream.
    - 9007-lp982961-xtables-lm-noasneeded.patch: changes are upstream.
    - 9009-libxt-string-fix-space-around-arguments.patch: changes are upstream.

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Fri, 07 Jun 2013 09:50:09 -0500

iptables (1.4.18-1) unstable; urgency=low

  * New upstream release
  * New package for soname bump: libxtables10

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 24 Mar 2013 17:15:41 -0400

iptables (1.4.16.3-4) unstable; urgency=low

  * Added missing Breaks and Replaces for libxtables9. Thanks all.
    Closes: #692171

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 02 Nov 2012 22:52:47 -0400

iptables (1.4.16.3-3) unstable; urgency=low

  * Added versioned libxtables dependency 

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 28 Oct 2012 09:40:00 -0400

iptables (1.4.16.3-2) unstable; urgency=low

  * Moved libxtables into a separate package. Fixes problem with connman
    reported by Jonathan Nieder. Thanks. Closes: #691546
  * Added nfnl_osf and xtables-mutil man page stubs.

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 27 Oct 2012 09:36:56 -0400

iptables (1.4.16.3-1) unstable; urgency=low

  * New upstream release
  * Moved nfnl_osf to /usr/sbin. Fixes lib dependency problem reported
    by Matteo Cortese. Thanks. Closes: #667688

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 19 Oct 2012 12:07:42 -0400

iptables (1.4.12-2ubuntu5) raring; urgency=low

  * libxt_string: fix space around arguments. (LP: #1074923)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Mon, 18 Feb 2013 18:19:12 -0600

iptables (1.4.12-2ubuntu4) raring; urgency=low

  * Make package honour dpkg-buildflags (fixes arm64 build) (LP: #1081592)

 -- Wookey <wookey@wookware.org>  Sat, 08 Dec 2012 10:52:13 +0100

iptables (1.4.12-2ubuntu3) raring; urgency=low

  * 9007-lp982961-xtables-lm-noasneeded.patch: fix linking of RATEEST and
    statistic modules. (LP: #982961)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 03 Dec 2012 11:46:39 +0000

iptables (1.4.12-2ubuntu2) quantal; urgency=low

  * debian/patches/9006-lp1042260-fix-add-inverted-physdev.patch: add back
    inverted option for --physdev-is-in, --physdev-is-out and
    --physdev-is-bridged (LP: #1042260)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 17 Sep 2012 17:10:24 -0500

iptables (1.4.12-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - 9000-howtos.patch: add howtos/ and install them
    - 9001-Fixed-FTBS-by-copying-linux-types.h-from-linux-3.2.patch: Fix FTBS
      against linux 3.2 headers
    - 9002-libxt_recent-Add-support-for-reap-option.patch: add --reap support.
      Merge in changes from 1.4.12-1ubuntu4 into this patch
    - debian/control: Build-Depends on linuxdoc-tools
    - debian/iptables.install: install NAT and packetfilter howtos into
      /usr/share/doc
    - debian/iptables-dev.install: install netfilter howto into /usr/share/doc
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter: add
      howtos
  * Drop libipq support since it has been obsoleted in 3.5 and later kernels.
    Per upstream, users of libipq should transition to nfnetlink_queue (from
    libnfnetlink0) instead. (LP: #1020598)
    - debian/control: remove reference to libipq
    - debian/rules: compile with --disable-libipq
    - debian/iptables.lintian-overrides: remove reference to libipq0


=== debian/control ===
Source: iptables
Section: net
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laurence J. Lane <ljlane@debian.org>
Build-Depends: debhelper (>= 9), autoconf, automake, libtool (>=2.2.6), libnfnetlink-dev, chrpath, linuxdoc-tools
Standards-Version: 3.9.3
Homepage: http://www.netfilter.org/

Package: iptables
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libxtables10 (=${binary:Version})
Description: administration tools for packet filtering and NAT
 These are the user-space administration tools for the Linux
 kernel's netfilter and iptables. netfilter and iptables provide
 a framework for stateful and stateless packet filtering, network
 and port address translation, and other IP packet manipulation.
 The framework is the successor to ipchains.
 .
 netfilter and iptables are used in applications such as Internet
 connection sharing, firewalls, IP accounting, transparent proxying,
 advanced routing and traffic control.

Package: libxtables10
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: iptables (<< 1.4.16.3-3)
Breaks: iptables (<< 1.4.16.3-3)
Description: netfilter xtables library
 The user-space interface to the Netfilter xtables kernel framework.

Package: iptables-dev
Architecture: any
Priority: optional
Depends: ${misc:Depends}, iptables (=${binary:Version})
Conflicts: iptables (<<1.4.2-2)
Breaks: linux-libc-dev (<< 3.5)
Section: devel
Description: iptables development files
 iptables is used to setup, maintain, and inspect the tables of
 packet filter rules in the Linux kernel. This package contains
 the available library (libiptc, libxtables), header, documentation and related
 files for iptables development.

=== debian/rules ===
#!/usr/bin/make -f

export V=1

#_dhopts := --with autotools_dev
_shlibdeps := -a -Xlib/xtables -l$(CURDIR)/debian/build/extensions/.libs
_configure := --with-xtlibdir=/lib/xtables \
	--disable-libipq --enable-devel --libdir=/lib 

%:
	dh $@ $(_dhopts)

binary: binary-arch binary-indep
binary-arch binary-indep: install

override_dh_shlibdeps:
	dh_shlibdeps $(_shlibdeps)

ifneq ($(USE_BUILD_DIR),TRUE)
include debian/builddir.mk
else

override_dh_auto_configure:
	autoreconf -fi
	dh_auto_configure -- $(_configure)

override_dh_auto_install:
	dh_auto_install
	find debian/tmp/lib/xtables -name \*.so | xargs -r -ifoo chrpath -d foo

override_dh_auto_test:

endif

## iptables 1.4.21

=== debian/changelog ===
iptables (1.4.21-2) unstable; urgency=medium

  * correct _dhopts var to enable autoreconf. Closes: #744968
  * use arch:linux-any. Closes: #745171
  * bump standards version, 3.9.4 to 3.9.5
  * drop extra iptables-apply, fix iptables.install

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 19 May 2014 20:49:01 -0400

iptables (1.4.21-1) unstable; urgency=low

  * New upstream release
    + Corrected spurious load_extension errors. Closes: #699537
    + Corrected man page icmp defaults. Closes: #644819
    + Corrected state man page. Closes: #654983
    + Corrected address in hashlimit man page. Closes: #698393
    + Removed syslogd man page references. Closes: #567564
    + Added string match man page hex examples. Closes: #699904
    + Merged 0201-iptables-xml_man_section.patch
    + Merged 0303-extension_cppflags.patch
    + Merged 0401-state-match-display.patch 
  * Updated iptables-apply to v1.1. Closes: #580941
  * Use mktemp instead of tmpfile for iptables-apply. Closes: #668582
  * Add iptables-apply info to man pages. Closes: #660748
  * Updated debian/copyright 
  * Updated debian/control Description
  * Removed debian/builddir hack and other debian/rules cruft
  * Removed debug info from README.Debian

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 01 Dec 2013 19:48:23 -0500

iptables (1.4.20-2) unstable; urgency=low

  * Fixed man page installation so that @PACKAGE_VERSION@ is expanded.
    Reported by Christoph Biedl. Thanks.
    Closes: #712403
  * Fixed iptables-xml manpage mix-up
  * Restored missing connlabel extension

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 17 Aug 2013 09:16:04 -0400

iptables (1.4.20-1) unstable; urgency=low

  * New upstream release
  * added 0401-state-match-display.patch for the missing state match
    display reported by Eugene Berdnikov and fixed by Phil Oester. Thanks.
    Closes: #718810 
  * upstream fix addresses concurrent invocation issues reported by
    Lamont Jones. Fixed upstream by Phil Oester and Pablo Neira Ayuso.
    Closes: #710997

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 08 Aug 2013 10:39:54 -0400

iptables (1.4.19.1-1) unstable; urgency=low

  * New upstream release
  * Bumped Standard-Version to 3.9.4

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 20 Jul 2013 17:30:47 -0400

=== debian/control ===
Source: iptables
Section: net
Priority: important
Maintainer: Laurence J. Lane <ljlane@debian.org>
Build-Depends: debhelper (>= 9), autoconf, automake, libtool (>=2.2.6), libnfnetlink-dev, libnetfilter-conntrack-dev, libnetfilter-conntrack3, dh-autoreconf
Standards-Version: 3.9.5
Homepage: http://www.netfilter.org/

Package: iptables
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, libxtables10 (=${binary:Version})
Description: administration tools for packet filtering and NAT
 iptables is the userspace command line program used to configure
 the Linux packet filtering ruleset. It is targeted towards system
 administrators. Since Network Address Translation is also configured
 from the packet filter ruleset, iptables is used for this, too. The
 iptables package also includes ip6tables. ip6tables is used for
 configuring the IPv6 packet filter

Package: libxtables10
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: iptables (<< 1.4.16.3-3)
Breaks: iptables (<< 1.4.16.3-3)
Description: netfilter xtables library
 The user-space interface to the Netfilter xtables kernel framework.

Package: iptables-dev
Architecture: linux-any
Priority: optional
Depends: ${misc:Depends}, iptables (=${binary:Version})
Conflicts: iptables (<<1.4.2-2)
Breaks: linux-libc-dev (<< 3.5)
Section: devel
Description: iptables development files
 iptables is used to setup, maintain, and inspect the tables of
 packet filter rules in the Linux kernel. This package contains
 the available library (libipq, libiptc, libxtables), header,
 documentation and related files for iptables development.

=== debian/rules ===
#!/usr/bin/make -f

export V=1

_dhopts := --with autoreconf

_shlibdeps := \
  -a -Xlib/xtables \
  -l$(CURDIR)/debian/build/extensions/.libs

_configure := \
  --enable-libipq \
  --enable-devel \
  --libdir=/lib \
  --with-xtlibdir=/lib/xtables

%:
	dh $@ $(_dhopts)

override_dh_shlibdeps:
	dh_shlibdeps $(_shlibdeps)

override_dh_auto_configure:
	dh_auto_configure -- $(_configure)

## iptables 1.6.0

=== debian/changelog ===
iptables (1.6.0-2ubuntu3) xenial; urgency=medium

  * Don't ship an empty iptables-nftables-compat package.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 15:13:01 +0000

iptables (1.6.0-2ubuntu2) xenial; urgency=medium

  * Multiarchify the libxtables11 package.
  * Move other libraries to the multiarch libdir.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Feb 2016 21:21:05 +0100

iptables (1.6.0-2ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: add linuxdoc-tools dep, remove libipq references
    - debian/rules: compile with --disable-libipq
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables.install: install NAT and packetfilter howtos into
      /usr/share/doc
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos
    - debian/iptables-dev.install: remove usr/share/man/man3 only used with
      libipq manpages

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Feb 2016 21:06:54 +0100

iptables (1.6.0-2) unstable; urgency=medium

  * Rebuild for unstable

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Wed, 27 Jan 2016 19:07:11 +0100

iptables (1.6.0-1) experimental; urgency=medium

  * [615f9fc] Imported Upstream version 1.6.0
  * [7caa8f4] d/patches/0104-lintian_hyphens.patch: refresh patch
  * [b1d1b79] d/patches/0301-install_iptables_apply.patch: refresh patch
  * [a2adeaf] d/control: update build-deps
  * [0c76237] d/control: Arturo is now Maintainer, Laurence is Uploader
  * [c13773c] d/control: new iptables-nftables-compat binary package
  * [05be2ad] d/control: Maintainer is now the alioth team
  * [569bc44] d/: put arp and bridge modules in iptables-nftables-compat package
  * [90738ae] d/copyright: refresh copyright file
  * [57d17b1] iptables-nftables-compat: include compat tools (links)
  * [4940e7a] d/control: recommends nftables in the iptables-nftables-compat package
  * [7814c21] d/control: give more information in the description of iptables-nftables-compat
  * [d41dd7d] d/control: bump libxtables10 to libxtables11
  * [81bb804] d/control: the iptables-nftables-compat package depends on iptables
  * [a5b4148] d/: wrap-and-sort
  * [d0c6615] d/control: bump standars to 3.9.6
  * [9ae565f] iptables-nftables-compat: link compat manpages to the originals
  * [d0f191f] d/patches: refresh 0101-changelog.patch
  * [ef507da] iptables-nftables-compat: link manpage also for xtables-compat-multi
  * [453ee4c] d/control: add Vcs-Git and Vcs-Browser fields
  * [8e52d5b] d/changelog: upload is for experimental rather than unstable

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Fri, 15 Jan 2016 13:23:10 +0100

iptables (1.4.21-2ubuntu2) vivid; urgency=medium

  * No change rebuild to get debug symbols for all architectures.

 -- Brian Murray <brian@ubuntu.com>  Wed, 03 Dec 2014 08:10:31 -0800

iptables (1.4.21-2ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: add linuxdoc-tools dep, remove libipq references
    - debian/rules: compile with --disable-libipq
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables.install: install NAT and packetfilter howtos into
      /usr/share/doc
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos
    - debian/iptables-dev.install: remove usr/share/man/man3 only used with
      libipq manpages

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 05 Jun 2014 16:32:50 -0400

iptables (1.4.21-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: add linuxdoc-tools dep, remove libipq references
    - debian/rules: compile with --disable-libipq
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables.install: install NAT and packetfilter howtos into
      /usr/share/doc
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos
    - debian/iptables-dev.install: remove usr/share/man/man3 only used with
      libipq manpages
  * Fix --with autoreconf in debian/rules

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Jan 2014 17:20:40 -0500

iptables (1.4.20-2ubuntu1) trusty; urgency=low

  * Re-apply mistakenly dropped delta with Debian:
    - debian/control: add linuxdoc-tools dep, remove libipq references
    - debian/rules: compile with --disable-libipq
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables.install: install NAT and packetfilter howtos into
      /usr/share/doc
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos
    - debian/iptables-dev.install: remove usr/share/man/man3 only used with
      libipq manpages

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 23 Oct 2013 19:55:19 -0400

=== debian/control ===
Source: iptables
Section: net
Priority: important
XSBC-Original-Maintainer: iptables devel team <pkg-netfilter-devel@lists.alioth.debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Laurence J. Lane <ljlane@debian.org>,
           Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
Build-Depends: autoconf,
               automake,
               bison,
               debhelper (>= 9),
               dh-autoreconf,
               flex,
               libmnl-dev,
               libnetfilter-conntrack-dev,
               libnetfilter-conntrack3,
               libnfnetlink-dev,
               libnftnl-dev,
	       linuxdoc-tools,
               libtool (>= 2.2.6)
Standards-Version: 3.9.6
Homepage: http://www.netfilter.org/
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-netfilter/pkg-netfilter.git
Vcs-Browser: https://alioth.debian.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=pkg-netfilter/pkg-netfilter.git

Package: iptables
Architecture: linux-any
Depends: libxtables11 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: administration tools for packet filtering and NAT
 iptables is the userspace command line program used to configure
 the Linux packet filtering ruleset. It is targeted towards system
 administrators. Since Network Address Translation is also configured
 from the packet filter ruleset, iptables is used for this, too. The
 iptables package also includes ip6tables. ip6tables is used for
 configuring the IPv6 packet filter

Package: libxtables11
Multi-Arch: same
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: iptables (<< 1.4.16.3-3)
Breaks: iptables (<< 1.4.16.3-3)
Description: netfilter xtables library
 The user-space interface to the Netfilter xtables kernel framework.

Package: iptables-dev
Architecture: linux-any
Priority: optional
Depends: iptables (=${binary:Version}), ${misc:Depends}
Conflicts: iptables (<< 1.4.2-2)
Breaks: linux-libc-dev (<< 3.5)
Section: devel
Description: iptables development files
 iptables is used to setup, maintain, and inspect the tables of
 packet filter rules in the Linux kernel. This package contains
 the available library (libiptc, libxtables), header, documentation and related
 files for iptables development.

Package: iptables-nftables-compat
Architecture: linux-any
Priority: optional
Depends: arptables,
         ebtables,
         iptables (=${binary:Version}),
         libxtables11 (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: nftables
Replaces: iptables-dev (<< 1.6.0-2ubuntu3)
Description: iptables compat tools for nftables
 this package includes the compat tools to load iptables, ip6tables, arptables
 and ebtables rules to the nf_tables kernel subsystem.
 .
 The tools are called: 'iptables-compat', 'iptables-compat-save',
 'iptables-compat-restore', 'ip6tables-compat', 'ip6tables-compat-save',
 'ip6tables-compat-restore', 'arptables-compat' and 'ebtables-compat'.
 .
 A basic way to understand this compat stuff is to load the ruleset
 skeleton, i.e: a first call `iptables-compat -L'. Then, you can use nft,
 i.e: `nft list ruleset'. Same for the other families.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
   -l$(CURDIR)/debian/build/extensions/.libs
 
 _configure := \
-  --enable-libipq \
+  --disable-libipq \
   --enable-devel \
   --libdir=/lib \
   --with-xtlibdir=/lib/xtables
@@ -22,3 +22,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(_configure)
+
+override_dh_install:
+	mkdir -p debian/tmp/lib/$(DEB_HOST_MULTIARCH)
+	mv debian/tmp/lib/lib*.so* debian/tmp/lib/$(DEB_HOST_MULTIARCH)
+	dh_install
